Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# vtkImplicitBoolean Class Reference

`#include <vtkImplicitBoolean.h>`

Inheritance diagram for vtkImplicitBoolean:

[legend]
Collaboration diagram for vtkImplicitBoolean:

[legend]
List of all members.

## Detailed Description

implicit function consisting of boolean combinations of implicit functions

Date:
  2002/10/04 20:43:44

Revision:
  1.45

vtkImplicitBoolean is an implicit function consisting of boolean combinations of implicit functions. The class has a list of functions (FunctionList) that are combined according to a specified operator (VTK_UNION or VTK_INTERSECTION or VTK_DIFFERENCE). You can use nested combinations of vtkImplicitFunction's (and/or vtkImplicitBoolean) to create elaborate implicit functions. vtkImplicitBoolean is a concrete implementation of vtkImplicitFunction.

The operators work as follows. The VTK_UNION operator takes the minimum value of all implicit functions. The VTK_INTERSECTION operator takes the maximum value of all implicit functions. The VTK_DIFFERENCE operator subtracts the 2nd through last implicit functions from the first. The VTK_UNION_OF_MAGNITUDES takes the minimum absolute value of the implicit functions.

Created by:
  - Schroeder, Will

CVS contributions (if > 5%):
  - Schroeder, Will (65%)
  - Martin, Ken (17%)
  - Lorensen, Bill (8%)

CVS logs (CVSweb):
  - .`cxx` (`/Filtering/vtkImplicitBoolean.cxx)`
  - .`h` (`/Filtering/vtkImplicitBoolean.h)`

Examples:
  vtkImplicitBoolean (Examples)

Tests:
  vtkImplicitBoolean (Tests)

Definition at line 68 of file vtkImplicitBoolean.h.

## Public Types
typedef vtkImplicitFunction | Superclass
## Public Methods
virtual const char * | GetClassName ()
virtual int | IsA (const char *type)
void | PrintSelf (ostream &os, vtkIndent indent)
void | EvaluateGradient (float x[3], float g[3])
unsigned long | GetMTime ()
void | AddFunction (vtkImplicitFunction *in)
void | RemoveFunction (vtkImplicitFunction *in)
vtkImplicitFunctionCollection * | GetFunction ()
float | EvaluateFunction (float x[3])
float | EvaluateFunction (float x, float y, float z)
virtual void | SetOperationType (int)
virtual int | GetOperationType ()
void | SetOperationTypeToUnion ()
void | SetOperationTypeToIntersection ()
void | SetOperationTypeToDifference ()
void | SetOperationTypeToUnionOfMagnitudes ()
const char * | GetOperationTypeAsString ()
## Static Public Methods
int | IsTypeOf (const char *type)
vtkImplicitBoolean * | SafeDownCast (vtkObject *o)
vtkImplicitBoolean * | New ()
## Protected Methods
| vtkImplicitBoolean ()
| ~vtkImplicitBoolean ()
## Protected Attributes
vtkImplicitFunctionCollection * | FunctionList
int | OperationType

## Member Typedef Documentation

typedef vtkImplicitFunction vtkImplicitBoolean::Superclass

| Reimplemented from vtkImplicitFunction. Definition at line 71 of file vtkImplicitBoolean.h.

## Constructor & Destructor Documentation

vtkImplicitBoolean::vtkImplicitBoolean | ( |  | ) | `[protected]`

vtkImplicitBoolean::~vtkImplicitBoolean | ( |  | ) | `[protected]`

## Member Function Documentation

virtual const char* vtkImplicitBoolean::GetClassName | ( |  | ) | `[virtual]`

| Reimplemented from vtkImplicitFunction.

int vtkImplicitBoolean::IsTypeOf | ( | const char * | type | ) | `[static]`

| Return 1 if this class type is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkImplicitFunction.

virtual int vtkImplicitBoolean::IsA | ( | const char * | type | ) | `[virtual]`

| Return 1 if this class is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkImplicitFunction.

vtkImplicitBoolean* vtkImplicitBoolean::SafeDownCast | ( | vtkObject * | o | ) | `[static]`

| Reimplemented from vtkImplicitFunction.

void vtkImplicitBoolean::PrintSelf | ( | ostream & | os,
|  | vtkIndent | indent
| ) | `[virtual]`

| Methods invoked by print to print information about the object including superclasses. Typically not called by the user (use Print() instead) but used in the hierarchical print process to combine the output of several classes. Reimplemented from vtkImplicitFunction.

vtkImplicitBoolean* vtkImplicitBoolean::New | ( |  | ) | `[static]`

| Default boolean method is union. Reimplemented from vtkObject.

float vtkImplicitBoolean::EvaluateFunction | ( | float | x[3] | ) | `[virtual]`

| Evaluate boolean combinations of implicit function using current operator. Implements vtkImplicitFunction.

float vtkImplicitBoolean::EvaluateFunction | ( | float | x,
|  | float | y,
|  | float | z
| ) | `[inline]`

| Evaluate boolean combinations of implicit function using current operator. Reimplemented from vtkImplicitFunction. Definition at line 81 of file vtkImplicitBoolean.h. References vtkImplicitFunction::EvaluateFunction().

void vtkImplicitBoolean::EvaluateGradient | ( | float | x[3],
|  | float | g[3]
| ) | `[virtual]`

| Evaluate gradient of boolean combination. Implements vtkImplicitFunction.

unsigned long vtkImplicitBoolean::GetMTime | ( |  | ) | `[virtual]`

| Override modified time retrieval because of object dependencies. Reimplemented from vtkImplicitFunction.

void vtkImplicitBoolean::AddFunction | ( | vtkImplicitFunction * | in | ) |

| Add another implicit function to the list of functions.

void vtkImplicitBoolean::RemoveFunction | ( | vtkImplicitFunction * | in | ) |

| Remove a function from the list of implicit functions to boolean.

vtkImplicitFunctionCollection* vtkImplicitBoolean::GetFunction | ( |  | ) | `[inline]`

| Return the collection of implicit functions. Definition at line 98 of file vtkImplicitBoolean.h.

virtual void vtkImplicitBoolean::SetOperationType | ( | int |  | ) | `[virtual]`

| Specify the type of boolean operation.

virtual int vtkImplicitBoolean::GetOperationType | ( |  | ) | `[virtual]`

| Specify the type of boolean operation.

void vtkImplicitBoolean::SetOperationTypeToUnion | ( |  | ) | `[inline]`

| Specify the type of boolean operation. Definition at line 104 of file vtkImplicitBoolean.h. References VTK_UNION.

void vtkImplicitBoolean::SetOperationTypeToIntersection | ( |  | ) | `[inline]`

| Specify the type of boolean operation. Definition at line 106 of file vtkImplicitBoolean.h. References VTK_INTERSECTION.

void vtkImplicitBoolean::SetOperationTypeToDifference | ( |  | ) | `[inline]`

| Specify the type of boolean operation. Definition at line 108 of file vtkImplicitBoolean.h. References VTK_DIFFERENCE.

void vtkImplicitBoolean::SetOperationTypeToUnionOfMagnitudes | ( |  | ) | `[inline]`

| Specify the type of boolean operation. Definition at line 110 of file vtkImplicitBoolean.h. References VTK_UNION_OF_MAGNITUDES.

const char * vtkImplicitBoolean::GetOperationTypeAsString | ( | void |  | ) | `[inline]`

| Return the boolean operation type as a descriptive character string. Definition at line 129 of file vtkImplicitBoolean.h. References OperationType, VTK_DIFFERENCE, VTK_INTERSECTION, and VTK_UNION.

## Member Data Documentation

vtkImplicitFunctionCollection* vtkImplicitBoolean::FunctionList`[protected]`

| Definition at line 119 of file vtkImplicitBoolean.h.

int vtkImplicitBoolean::OperationType`[protected]`

| Definition at line 121 of file vtkImplicitBoolean.h. Referenced by GetOperationTypeAsString().

The documentation for this class was generated from the following file:

- Filtering/vtkImplicitBoolean.h